# How to Configure the Secure View Layer

If configured, the secure semantic view layer and security policy settings will be used to generate CREATE VIEW statements to create a semantic layer that selects data from the generated dynamic tables. One view will be created for each dynamic table.

You can learn more about Snowflake's security policy capabilities here <https://docs.snowflake.com/en/user-guide/security-row-intro> and <https://docs.snowflake.com/en/user-guide/security-column-intro>.

### 1. Enter the Object Type

![](https://colony-recorder.s3.amazonaws.com/files/2026-02-23/5997b78d-e40b-4b4e-8712-05073292354b/ascreenshot_89aa09ba1ea443e7b9c0c4b3c457c9fe_text_export.jpeg)

### 2. Enter the Root Level Name

The name used for the root view for the semantic layer. This value will be used as a prefix for all nested array views.

This value is required if you choose a type of semantic layer object for this data source.

You do not need to include an underscore at the end of this name. An underscore will be added automatically for all nested output objects.

![](https://colony-recorder.s3.amazonaws.com/files/2026-02-23/0afe9122-d798-4e8b-8113-1d34fd4b5723/ascreenshot_6804ffa37a77453d92e2e47a9c5ff418_text_export.jpeg)

### 3. (Optional) Enter the Semantic Layer Deployment Database Name

The name of the database the semantic layer objects will be deployed to.

Explore [deployment options](/getting-started/reference-architecture/generated-sql-ddl-deployment-options.md) to learn more.

![](https://colony-recorder.s3.amazonaws.com/files/2026-02-23/d979f37d-d3c2-4289-97e9-c653a35b6c54/ascreenshot_e8b5b281b8184c44b9c2e5ce45c059a2_text_export.jpeg)

### 4. (Optional) Enter the Semantic Layer Deployment Schema Name

The name of the schema the semantic layer objects will be deployed to.

Explore [deployment options](/getting-started/reference-architecture/generated-sql-ddl-deployment-options.md) to learn more.

![](https://colony-recorder.s3.amazonaws.com/files/2026-02-23/275292bd-b97b-49f1-b424-2b8ed470343d/ascreenshot_2ed4c310eac54c22a330cc2725ddbeae_text_export.jpeg)

### 5. (Optional) Enter the Primary Row Access Policy Name

The name of the row access policy used for the root level semantic layer object.

![](https://colony-recorder.s3.amazonaws.com/files/2026-02-23/6f0a7bb2-d95f-47fe-b67a-fb5d83bee974/ascreenshot_a2d143dd28ec481096cef0fe3805341e_text_export.jpeg)

### 6. (Optional) Enter the Optional Parameters

Optional parameters for the root level semantic layer object. This value will be included in the CREATE statement.

Visit <https://docs.snowflake.com/en/sql-reference/sql/create-view#optional-parameters> to learn more.

![](https://colony-recorder.s3.amazonaws.com/files/2026-02-23/e8d11a0c-706a-4189-bc1b-e8bcd49a877b/ascreenshot_6da7cee96749485782a99274e8143cef_text_export.jpeg)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datapancake.com/guides/how-to-guides-ui/creating-and-configuring-data-sources/how-to-configure-the-secure-semantic-view-layer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
